body{
    margin: 0;
    padding:0;
    background: url(../images/monde.jpg) no-repeat center center fixed; 
    background-size: cover; 
}

/* Style pour le header */

header{
    margin: 0;
    width: 100%;
    position: fixed;
    top:0;
    z-index: 20;;
}

/*Fin du style pour le header */

/* Styles pour le footer */

footer {
  position: fixed;
  overflow: hidden;
  bottom: 0;
  width: 100%;
  background-color: #333;
  color: white;
  text-align: center;
}

footer p {
    margin:0;
    padding:10px;
}

/* Fin des styles pour le footer */

/* Divers styles pour le contenu de la page */

main {
    margin: 0;
    height: 100%;
}

.container{
    background-color: rgba(26,27,39,0.7);
    border-radius: 25px;
    max-width:700px;
    height: 50%;
    margin-right:auto;
    margin-left: auto;
    padding: 15px;
    text-align: center;
    padding: 35px;
    margin-top: 50vh;
    transform: translateY(-50%);
    color: white;
}

.container2{
    background-color: rgba(26,27,39,0.7);
    border-radius: 25px;
    max-width:700px;
    margin-right:auto;
    margin-left: auto;
    padding: 15px;
    text-align: center;
    margin-top: 120px;
    color: white;
}

.container33{
    background-color: rgba(26,27,39,0.7);
    border-radius: 25px;
    max-width:700px;
    margin-right:auto;
    margin-left: auto;
    margin-top : 70px;
    padding: 15px;
    text-align: center;
    color: white;
    font-size: x-large;
    font-weight: bolder;
}

.container3{
  background-color: rgba(26,27,39,0.7);
  border-radius: 25px;
  max-width:700px;
  margin-right:auto;
  margin-left: auto;
  margin-top : 50px;
  padding: 15px;
  text-align: center;
  color: white;
  font-size: large;
  font-weight: bolder;
}

.container3 p {
  margin: 0px;
}

.container33 p {
  margin: 0px;
}

.container4{
  background-color: rgba(26,27,39,0.7);
  border-radius: 25px;
  max-width:700px;
  margin-right:auto;
  margin-left: auto;
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 10px;
  padding-bottom: 10px;
  margin-bottom: 10px;
  text-align: center;
  margin-top: 10px;
  color: white;
  font-size: large;
}

.container2 h2 {
    padding: 0px;
    margin: 0px;
}

code {
    padding-bottom: 20px;
    font-size: 1.3em;
}

.aucun{
  background-color: rgb(26,27,77);
  border-radius: 20px;
  max-width:300px;
  margin-right:auto;
  margin-left: auto;
  padding: 15px;
  text-align: center;
  padding: 10px;
  margin-top: 15px;
  margin-bottom: 60px;
  color: white;
}

.aucun h1 {
  margin: 0px;
}

/* Fin divers styles pour le contenu de la page */


/* Styles pour le menu en haut */

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #333;
  }
  
  li {
    float: left;
  }
  
  li a, .dropbtn {
    display: inline-block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
  }
  
  li a:hover, .dropdown:hover .dropbtn {
    background-color: red;
  }

  li.dropdown {
    display: inline-block;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
  }

.dropdown-content a:hover {background-color: #f1f1f1;}

.dropdown:hover .dropdown-content {
  display: block;
}

/* Fin des styles pour le menu en haut */


/* Styles pour les tableaux */

table {
    border: solid 1px rgb(26,27,77);
    border-collapse: collapse;
    border-spacing: 0;
    font: normal 13px Arial, sans-serif;
    margin-top: 30px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 60px;
    max-width: 750px;
}

table thead th {
    background-color: rgb(26,27,77);
    border: solid 1px rgb(26,27,77);
    color: white;
    padding: 10px;
    text-align: left;
    min-width: 60px;
}

table a {
  color: white;
}

table a:active {
  color: white;
}

table tbody td {
    border: solid 1px rgb(26,27,77);
    color: #333;
    padding: 10px;
    text-shadow: 1px 1px 1px #fff;
    background-color: white;
}


table-horizontal tbody td {
    border-left: none;
    border-right: none;
}

/* Fin des styles pour les tableaux */


/* Styles pour les selecteurs et le formulaire */

.formulaire {
	position: relative;
}

.form-select--container {
	position: relative; 
	top: 15px;
	background-color: #fff;
	border: #777 1px solid;
	margin: 0 0 1.5em 0;
	
	overflow: hidden; 
}

.form-select--container select {
	width: 105%; 
	height: auto;
	border: 0; 
	margin: 0;
	padding: .75em;
	border-radius: 0;	
	overflow: hidden;
	text-overflow: ellipsis;

}

.form-select--container::after { 
	content: '';
	position: absolute;
	top: 50%; 
	margin-top: -3px;
	right: .75em;  
	display: block; 
	width: 0; height: 0;
	border-color: transparent;
	border-top-color: #444; 
	border-width: 6px;
	border-style: solid;
	pointer-events: none;
}

/* Fin styles pour les selecteurs */


/* Styles pour les imputs type submit */

input[type=submit] {
    background-color: red;
    border: none;
    color: white;
    padding: 16px 32px;
    text-decoration: none;
    margin: 4px 2px;
    font: normal 16px Arial, sans-serif;
    cursor: pointer;
    outline:none;
  }


input[type=submit]:hover {
    background-color: #333;
}

/* Fin styles pour les imputs type submit */


/* Styles pour les imputs type range et tout ce qui a rapport au range */

#range {
  padding-top: 5px;
  padding-bottom: 10px;
}

#valeurDuSeuil{
  margin-bottom: 10px;
  padding: 10px;
  border: solid 4px red;
  font-weight: bold;
}

input[type=range] {
  -webkit-appearance: none;
  width: 100%;
  margin: 13.8px 0;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 6.4px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: red;
  border-radius: 1.3px;
  border: 0.2px solid #010101;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 1px solid #000000;
  height: 36px;
  width: 16px;
  border-radius: 3px;
  background: #fdffff;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -14px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: red;
}
input[type=range]::-moz-range-track {
  width: 100%;
  height: 8.4px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: red;
  border-radius: 1.3px;
  border: 0.2px solid #010101;
}
input[type=range]::-moz-range-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 1px solid #000000;
  height: 36px;
  width: 16px;
  border-radius: 3px;
  background: #fdffff;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 100%;
  height: 6.4px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}
input[type=range]::-ms-fill-lower {
  background: red;
  border: 0.2px solid #010101;
  border-radius: 2.6px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
  background: red;
  border: 0.2px solid #010101;
  border-radius: 2.6px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]::-ms-thumb {
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  border: 1px solid #000000;
  height: 36px;
  width: 16px;
  border-radius: 3px;
  background: #fdffff;
  cursor: pointer;
  height: 8.4px;
}
input[type=range]:focus::-ms-fill-lower {
  background: red;
}
input[type=range]:focus::-ms-fill-upper {
  background: red;
}

/* Fin styles pour les imputs type range */


/* Début des style pour la page planisphère */

#blocImage {
  margin-top: 4em;
  margin-bottom: 4em;
  display: flex;
  flex-direction: column;
}

img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  border: 4px solid #333;
}

#bloc_texte{
  padding: 12px; 
  border-radius:5px;
  background-color: rgba(26,27,39,0.7);
  margin-top: 20px;
  margin-right: auto;
  margin-left: auto;
  max-width: 850px;
  margin-bottom: 30px
}

#bloc_texte h2{
  text-align: center;
  margin: 0px;
  color: white
}

map area
{
    outline: 0;
}

/* --------------------------------------- */